openapi: 3.0.3
info:
  title: Minimal Demonstrator DAQ Flask API Template
  version: 0.0.1

servers:
  - url: /api

paths:
  /health:
    get:
      operationId: itk_demo_chassis.routes.health
      responses:
        '200':
          $ref: '#/components/responses/standard_response'

components:
  schemas:
    standard_model:
      type: object
      additionalProperties: false
      required:
        - data
      properties:
        data:
          type: string
          maxLength: 80
          pattern: ^[A-Za-z0-9]+$
          example: 'ok'
  responses:
    standard_response:
      description: The default response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/standard_model'
